CHSH(1)

NAME
chsh - ändert die Anmelde-Shell

ÜBERSICHT

chsh [Optionen] [ANMELDENAME]

BESCHREIBUNG

Der Befehl chsh ändert die Anmelde-Shell eines Benutzers. Er legt den Befehl fest, der bei der Anmeldung ausgeführt wird. Ein normaler Benutzer kann nur die Anmelde-Shell seines eigenen Kontos ändern, während Root dies für alle Konten darf.

OPTIONEN

Die Optionen, die vom Befehl chsh unterstützt werden, sind:

-h, --help
    zeigt die Hilfe an und beendet das Programm

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --shell SHELL
    Der Name der neuen Anmelde-Shell des Benutzers. Falls dieses Feld leer gelassen wird, verwendet das System die Standard-Anmelde-Shell.

Wenn die Option -s nicht ausgewählt ist, wird chsh im interaktiven Modus betrieben. Dabei wird der Benutzer mit der aktuellen Anmelde-Shell zur Eingabe einer neuen aufgefordert. Durch Eingabe eines Wertes wird die Shell geändert, während sie bei einer leeren Zeile beibehalten wird. Die aktuelle Shell wird zwischen einem Paar von [ ] angezeigt.

ANMERKUNGEN

Die einzige Beschränkung für die Anmelde-Shell ist, dass der Name des Befehls in der Datei /etc/shells enthalten sein muss. Root darf allerdings jeden beliebigen Befehl vergeben. Bei Konten, denen eine beschränkte Anmelde-Shell zugewiesen ist, ist es nicht möglich, die Anmelde-Shell zu ändern. Daher ist es nicht ratsam, /bin/rsh in /etc/shells einzutragen, da ein Benutzer nicht zu seiner ursprünglichen Anmelde-Shell zurückwechseln kann, falls er versehentlich eine beschränkte Shell als Anmelde-Shell auswählt.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shells
    Liste der möglichen Anmelde-Shells

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

SIEHE AUCH

chfn(1), login.defs(5), passwd(5).